com.impinj.octane

## Enum SearchMode

- java.lang.Object
- - java.lang.Enum<SearchMode>
  - - com.impinj.octane.SearchMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SearchMode>

      public enum SearchMode
      extends java.lang.Enum<SearchMode>

  This enumeration describes the method the reader uses to search for tags. Gen2 provides rudimentary building blocks to inventory populations of tags The Impinj reader creates high level inventory search modes from these gen2 operations.
  See Also:
    Gen2 Standard page 51 section 6.3.22

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DualTarget` The reader alternates between A to B and B to A inventory.
    `DualTargetBtoASelect` Reader inventories tags that are in inventory state A and transitions the inventory flag to state B.
    `ReaderSelected` The reader selects the best inventory search mode for the chosen session
    `SingleTarget` The reader performs repeated inventory from A to B.
    `SingleTargetReset` The reader inventories tags that are in inventory state B and resets the inventory flag to state A so that whey will respond to reader queries.
    `TagFocus` The reader uses Impinj Tag Focus to provide a single target inventory in session 1 with a very short persistence time.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static SearchMode` | `valueOf(int searchModeValue)`
    `static SearchMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SearchMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ReaderSelected

          public static final SearchMode ReaderSelected

      The reader selects the best inventory search mode for the chosen session

    - #### SingleTarget

          public static final SearchMode SingleTarget

      The reader performs repeated inventory from A to B. Each tag will be inventory only once until it session persistence decays according to the specification

    - #### DualTarget

          public static final SearchMode DualTarget

      The reader alternates between A to B and B to A inventory. Each tag will be reported each time is switches back and forth between states.

    - #### TagFocus

          public static final SearchMode TagFocus

      The reader uses Impinj Tag Focus to provide a single target inventory in session 1 with a very short persistence time.

    - #### SingleTargetReset

          public static final SearchMode SingleTargetReset

      The reader inventories tags that are in inventory state B and resets the inventory flag to state A so that whey will respond to reader queries. This is useful for high-throughput applications when used in conjunction with SingleTarget search mode and session 2 or 3, which have long decay times.

    - #### DualTargetBtoASelect

          public static final SearchMode DualTargetBtoASelect

      Reader inventories tags that are in inventory state A and transitions the inventory flag to state B. Once all of the tags in state A have responded, the reader sends a Gen2 Select command to transition tags back to state A. This is useful when there is a high tag count or for high-throughput applications where repeated tag observation is desirable.

  - ### Method Detail

    - #### values

          public static SearchMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SearchMode c : SearchMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SearchMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static SearchMode valueOf(int searchModeValue)

      Parameters:
        `searchModeValue` - integer value
      Returns:
        the enumeration object associated with the integer value

    - #### getValue

          public int getValue()

      Returns:
        the integer value associated with the enumeration